#include <R.h>
#include <Rmath.h>
#include "utilities.h"
/* Improved Gibbs sampler for a Mixture of Normals (burn)  */
void gibbs_normal_burn(int burn, int k, int n, double *y, int *z, int *nj, double *mu,
		       double delta, double kappa, double alpha, double *beta,
		       double gg, double hh, double cte, double *y_sum, double *y2_sum);
/* Improved Gibbs sampler for a Normal Mixture */
void gibbs_normal(int m, int k, int n, double *y, int *z, int *nj, double *mu, double delta,
		  double mu0, double kappa, double alpha, double *beta, double gg, double hh,
		  double cte, double *y_sum, double *y2_sum, FILE *ffile_z, FILE *ffile_pz,
		  FILE *ffile_w, FILE *ffile_mu, FILE *ffile_sigma2, FILE *ffile_log_post);