#define _LARGEFILE_SOURCE
#define _LARGEFILE64_SOURCE
#define _FILE_OFFSET_BITS 64
#include <R.h>
#include <Rmath.h>
#include "SampleNoRep.h"
void KL_initial_label(int *k, int *m, int *rnd, char **dir_KL){

  int h, j, *label;
  FILE  *ffile_label;
  ffile_label = fopen(*dir_KL, "w");

  label = Calloc(*k, int);

  if(*rnd != 0){
    GetRNGstate();
    /* Random permutations for the labels */
    for (h = 0; h < *m; h++){
      SampleNoReplace(*k, label, ffile_label);      
    }
    PutRNGstate();
  }else{
    /* Identity permutations for the labels */
    for(h = 0; h < *m; h++){
      for(j = 0; j < *k; j++){
				fprintf(ffile_label, "%d\t", j);
      }
      fprintf(ffile_label, "\n");
    }
  }
  Free(label);
  fclose(ffile_label);
}